//scale all 6 analog inputs to 0-100 and display them on a ST7565 LCD screen
//More code examples can be found at www.filear.com

#include "ST7565.h"
#include <stdio.h>

int AI0Raw = 0; //define a variable for analog input 1 raw
int AI1Raw = 1;
int AI2Raw = 2;
int AI3Raw = 3;
int AI4Raw = 4;
int AI5Raw = 5;
char AI0String[32]; //varible to hold the value from AI1Raw after the value is converted to a string
char AI1String[32];
char AI2String[32];
char AI3String[32];
char AI4String[32];
char AI5String[32];
int temp0; //define a variable to be used in the calculation
int temp10; //define another variable to be used in the calculation 
int temp1;
int temp11;
int temp2; 
int temp12;
int temp3;
int temp13;
int temp4; 
int templ4;
int temp5;
int temp15;


ST7565 glcd(9, 8, 7, 6, 5); //Set the pins to use with the LCD screen
#define LOGO16_GLCD_HEIGHT 16 
#define LOGO16_GLCD_WIDTH  16 

void setup()  
{  
  glcd.st7565_init();
  glcd.st7565_command(CMD_DISPLAY_ON);
  glcd.st7565_command(CMD_SET_ALLPTS_NORMAL);
  glcd.st7565_set_brightness(0x18);
}

void loop()                     
{ 

 temp0 = analogRead(AI0Raw); // read the analog value and place the value in varible temp
 temp1 = analogRead(AI1Raw);
 temp2 = analogRead(AI2Raw);  
 temp3 = analogRead(AI3Raw);  
 temp4 = analogRead(AI4Raw);
 temp5 = analogRead(AI5Raw);

    temp0 = (temp0/10.23); //scale the value from 0-1023 to 0-100
    temp10 = (temp0 - (int)temp0) * 100; //take out the decimal point
    sprintf(AI0String,"AI0 Value: %0d.%d", (int)temp0, temp10); //the GLCD can not display real numbers so it must be converted to a string.
                                                                //the new calculated value is converted to text and combined with some static text 

    temp1 = (temp1/10.23);   
    temp11 = (temp1 - (int)temp1) * 100;
    sprintf(AI1String,"AI1 Value: %0d.%d", (int)temp1, temp11);   

    temp2 = (temp2/10.23);
    temp12 = (temp2 - (int)temp2) * 100;
    sprintf(AI2String,"AI2 Value: %0d.%d", (int)temp2, temp12);   

    temp3 = (temp3/10.23);
    temp13 = (temp3 - (int)temp3) * 100;
    sprintf(AI3String,"AI3 Value: %0d.%d", (int)temp3, temp13);   

    temp4 = (temp4/10.23);
    templ4 = (temp4 - (int)temp4) * 100;
    sprintf(AI4String,"AI4 Value: %0d.%d", (int)temp4, templ4);   

    temp5 = (temp5/10.23);
    temp15 = (temp5 - (int)temp5) * 100;
    sprintf(AI5String,"AI5 Value: %0d.%d", (int)temp5, temp15); 

  glcd.clear(); //clear the screen
   
  glcd.drawstring(0, 0, AI0String); // move the LCD cursor to line=0 and character=0, set the variable to RAM
  glcd.drawstring(0, 1, AI1String); 
  glcd.drawstring(0, 2, AI2String); 
  glcd.drawstring(0, 3, AI3String); 
  glcd.drawstring(0, 4, AI4String); 
  glcd.drawstring(0, 5, AI5String); 
  glcd.display(); //Print the LCD screen 

  delay(200);         

   
}




